Page Menu
Home
FreeBSD
Search
Configure Global Search
Log In
Files
F153895712
D12195.id32671.diff
No One
Temporary
Actions
View File
Edit File
Delete File
View Transforms
Subscribe
Mute Notifications
Flag For Later
Award Token
Size
1 KB
Referenced Files
None
Subscribers
None
D12195.id32671.diff
View Options
Index: head/release/amd64/make-memstick.sh
===================================================================
--- head/release/amd64/make-memstick.sh
+++ head/release/amd64/make-memstick.sh
@@ -10,6 +10,8 @@
# $FreeBSD$
#
+set -e
+
PATH=/bin:/usr/bin:/sbin:/usr/sbin
export PATH
@@ -31,10 +33,6 @@
echo '/dev/ufs/FreeBSD_Install / ufs ro,noatime 1 1' > ${1}/etc/fstab
echo 'root_rw_mount="NO"' > ${1}/etc/rc.conf.local
makefs -B little -o label=FreeBSD_Install ${2}.part ${1}
-if [ $? -ne 0 ]; then
- echo "makefs failed"
- exit 1
-fi
rm ${1}/etc/fstab
rm ${1}/etc/rc.conf.local
Index: head/release/i386/make-memstick.sh
===================================================================
--- head/release/i386/make-memstick.sh
+++ head/release/i386/make-memstick.sh
@@ -10,6 +10,8 @@
# $FreeBSD$
#
+set -e
+
PATH=/bin:/usr/bin:/sbin:/usr/sbin
export PATH
@@ -31,10 +33,6 @@
echo '/dev/ufs/FreeBSD_Install / ufs ro,noatime 1 1' > ${1}/etc/fstab
echo 'root_rw_mount="NO"' > ${1}/etc/rc.conf.local
makefs -B little -o label=FreeBSD_Install ${2}.part ${1}
-if [ $? -ne 0 ]; then
- echo "makefs failed"
- exit 1
-fi
rm ${1}/etc/fstab
rm ${1}/etc/rc.conf.local
Index: head/release/powerpc/make-memstick.sh
===================================================================
--- head/release/powerpc/make-memstick.sh
+++ head/release/powerpc/make-memstick.sh
@@ -10,6 +10,8 @@
# $FreeBSD$
#
+set -e
+
PATH=/bin:/usr/bin:/sbin:/usr/sbin
export PATH
@@ -36,10 +38,6 @@
echo 'root_rw_mount="NO"' > ${1}/etc/rc.conf.local
rm -f ${tempfile}
makefs -B big ${tempfile} ${1}
-if [ $? -ne 0 ]; then
- echo "makefs failed"
- exit 1
-fi
rm ${1}/etc/fstab
rm ${1}/etc/rc.conf.local
File Metadata
Details
Attached
Mime Type
text/plain
Expires
Sat, Apr 25, 2:49 PM (6 h, 53 m)
Storage Engine
blob
Storage Format
Raw Data
Storage Handle
32116713
Default Alt Text
D12195.id32671.diff (1 KB)
Attached To
Mode
D12195: make-memstick.sh: use 'set -e' to abort if any step fails
Attached
Detach File
Event Timeline
Log In to Comment